Bug 189122

Summary: [PATCH] textproc/trang: support staging and add license info
Product: Ports & Packages Reporter: Yasuhiro KIMURA <yasu>
Component: Individual Port(s)Assignee: Gabor Kovesdan <gabor>
Status: Closed FIXED    
Severity: Affects Only Me CC: gabor
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
trang-2009.11.11.patch none

Description Yasuhiro KIMURA 2014-04-30 01:40:00 UTC
- Support staging
- Add license information.

Port maintainer (gabor@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-30 01:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-22 10:43:08 UTC
Author: miwi
Date: Thu May 22 09:43:03 2014
New Revision: 354817
URL: http://svnweb.freebsd.org/changeset/ports/354817
QAT: https://qat.redports.org/buildarchive/r354817/

Log:
  - Support staging
  - Add license information.
  
  PR:		189122
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Modified:
  head/textproc/trang/Makefile

Modified: head/textproc/trang/Makefile
==============================================================================
--- head/textproc/trang/Makefile	Thu May 22 09:42:21 2014	(r354816)
+++ head/textproc/trang/Makefile	Thu May 22 09:43:03 2014	(r354817)
@@ -10,6 +10,8 @@ DISTNAME=	${PORTNAME}-${PORTVERSION:S/./
 MAINTAINER=	gabor@FreeBSD.org
 COMMENT=	Multi-format schema converter based on RELAX NG
 
+LICENSE=	BSD3CLAUSE
+
 USES=		zip
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
@@ -22,15 +24,12 @@ PORTDOCS=	copying.txt trang-manual.html
 SUB_FILES=	trang.sh
 PLIST_FILES=	%%JAVAJARDIR%%/trang.jar bin/trang
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/trang.jar ${JAVAJARDIR}
-	${INSTALL_SCRIPT} ${WRKDIR}/trang.sh ${PREFIX}/bin/trang
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}
-.endif
+	${INSTALL_DATA} ${WRKSRC}/trang.jar ${STAGEDIR}${JAVAJARDIR}
+	${INSTALL_SCRIPT} ${WRKDIR}/trang.sh ${STAGEDIR}${PREFIX}/bin/trang
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2014-05-22 10:44:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!